from re import compile
from json import loads
from pathlib import Path
from base64 import b64decode


NAME = compile('^([\w\.]+)')

# the pypi dataset was built by O. Girardot
# https://ogirardot.wordpress.com/2013/01/31/sharing-pypimaven-dependency-data/
with Path('./import.log').open('w') as log:
    with Path('./pypi-deps.csv').resolve().open() as f:
        lines = f.read().split('\n')
        count = len(lines)
        for num, line in enumerate(lines):
            name, version, dependencies = line.split('\t')
            dependencies = loads(b64decode(dependencies).decode('utf-8'))
            dependencies = map(lambda x: x.strip(), dependencies)
            dependencies = list(dependencies)
            print(name, version, dependencies)
