from re import compile
from pathlib import Path

import requests

from ajgu import Storage
from ajgu import GraphDatabase


path = str(Path('./_db').absolute())
storage = Storage(str(path), (1, 0),  (2, 0))
db = GraphDatabase(storage)


# the pypi dataset was built by O. Girardot
# https://ogirardot.wordpress.com/2013/01/31/sharing-pypimaven-dependency-data/
with Path('./load.log').open('w') as log:
    with db.transaction() as txn:
        count = txn.vertex.count()
        for num, vertex in enumerate(txn.vertex.all()):
            name = vertex.label()
            url = 'https://pypi.python.org/pypi/{}/json'
            url = url.format(name)
            try:
                request = requests.get(url, timeout=5)
            except Exception as exc:
                msg = '{}% @ {} HTTP KO :(\n'
                msg = msg.format((num / count) * 100, name)
                log.write(msg)
            else:
                try:
                    vertex.props['infos'] = request.json()
                except ValueError:
                    msg = '{}% @ {} JSON KO :(\n'.format((num / count) * 100, name)
                    log.write(msg)
                else:
                    msg = '{}% @ {} ok :)\n'.format((num / count) * 100, name)
                    log.write(msg)

db.close()
