from re import compile
from pathlib import Path
from string import punctuation

import nltk
import requests

from ajgu import Storage
from ajgu import GraphDatabase

stopwords = nltk.corpus.stopwords('english')

try:
    path = str(Path('./_db').absolute())
    storage = Storage(str(path), (1, 0),  (2, 0))
    db = GraphDatabase(storage)

    # the pypi dataset was built by O. Girardot
    # https://ogirardot.wordpress.com/2013/01/31/sharing-pypimaven-dependency-data/
    with Path('./load.log').open('w') as log:
        with db.transaction() as txn:
            count = txn.vertex.count()
            for num, vertex in enumerate(txn.vertex.all()):
                name = vertex.label()
                description = vertex.props['infos']['info']['description']
                description = ''.join(map(lambda x: x if x not in punctuation else '', description))
                description = description.split()
                description = filter(lambda x: x not int stopwords, description)
                msg = '{}% @ {} ok :)\n'.format((num / count) * 100, name)
                log.write(msg)
except KeyboardInterrupt:
    pass
finally:
    db.close()
