#!/usr/bin/env python3
import os
from setuptools import setup, find_packages


# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()


setup(
    name='Ajgu',
    version='15.06.25',
    author='Amirouche Boubekki',
    author_email='amirouche@hypermove.net',
    url='https://git.framasoft.org/python-graphiti-love-story/AjguGraphDB',
    description='Graph Database for everyday use',
    long_description=read('README.rst'),
    packages=find_packages(),
    package_data={'ajgu': [
        'http/*.jinja',
        'http/static/css/*',
        'http/static/fonts/*'
    ]},
    zip_safe=False,
    license='LGPLv3 or later',
    install_requires=[
        'bsddb3',
        'pathlib',
        'msgpack-python',
        'aiohttp',
        'jinja2',
    ],
    classifiers=[
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Topic :: Software Development'
    ],
)
