from unittest import TestCase

from ajgu.tools import LazySliceGenerator


class TestLazySliceGenerator(TestCase):

    def test_count(self):
        # XXX: make sure it's a pure generator
        def generator(max):
            yield from range(max)
        wrapper = lambda x: str(x)
        slice = LazySliceGenerator(wrapper, generator(5))
        self.assertEqual(slice.count(), 5)

    def test_all(self):
        # XXX: make sure it's a pure generator
        def generator(max):
            yield from range(max)
        wrapper = lambda x: str(x)
        slice = LazySliceGenerator(wrapper, generator(5))
        self.assertEqual(list(slice.all()), ['0', '1', '2', '3', '4'])

    def test_slice(self):
        # XXX: make sure it's a pure generator
        def generator(max):
            yield from range(max)
        wrapper = lambda x: str(x)
        slice = LazySliceGenerator(wrapper, generator(5))
        self.assertEqual(list(slice.slice(1,4)), ['1', '2', '3'])
